SGAccessInterface (softwaregateway-client 2.0.0-2.17.0 API)
Date: 2013-11-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.softwaregateway.client.interfaces
Interface SGAccessInterface

All Known Implementing Classes:
  SGAccessLibrary

    public interface SGAccessInterface

Author:
  Roberto Cirillo (ISTI - CNR)

Method Summary
`String` | `getDependencies(Types.DependenciesCoordinates packageCoordinates)`
`String` | `getLocation(Types.PackageCoordinates packageCoordinates)`
`Types.getPackagesResponse` | `getPackages(Types.ServiceCoordinates serviceCoordinates)`
`Types.getPluginResponse` | `getPlugins(Types.PluginCoordinates serviceCoordinates)`
`String` | `getSALocation(Types.SACoordinates saCoordinates)`

Method Detail

### getLocation

    String getLocation(Types.PackageCoordinates packageCoordinates)
                       throws ServiceNotAvaiableException

  Throws:
    `ServiceNotAvaiableException`

### getSALocation

    String getSALocation(Types.SACoordinates saCoordinates)
                         throws ServiceNotAvaiableException

  Throws:
    `ServiceNotAvaiableException`

### getDependencies

    String getDependencies(Types.DependenciesCoordinates packageCoordinates)
                           throws ServiceNotAvaiableException

  Throws:
    `ServiceNotAvaiableException`

### getPackages

    Types.getPackagesResponse getPackages(Types.ServiceCoordinates serviceCoordinates)
                                          throws ServiceNotAvaiableException

  Throws:
    `ServiceNotAvaiableException`

### getPlugins

    Types.getPluginResponse getPlugins(Types.PluginCoordinates serviceCoordinates)
                                       throws ServiceNotAvaiableException

  Throws:
    `ServiceNotAvaiableException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.